[OSM-dev] [OT] installing CPAN modules on dev

Nick Hill nick at nickhill.co.uk
Thu Nov 9 17:35:22 GMT 2006


Which modules aren't installed which are needed?

Also, individual perl modules aren't in the standard Debian repositories. I 
believe there is a bundle of 'standard' modules which is installed.


Nick Whitelegg wrote:
>> Hello Joerg
> 
>> I have thrown all the modules at cpan installer.
> 
> Hello Nick,
> 
> Would it be better just to apt-get them?
>>From the sounds of things that sounds like what others have done.
> 
> 
> 
>> I end up with
>> Recursive dependency detected:
> Bit::Vector
> => S/ST/STBEY/Bit-Vector-6.4.tar.gz
> => Carp::Clan
> => J/JJ/JJORE/Carp-Clan-5.8.tar.gz
> => Object::Deadly
> => J/JJ/JJORE/Object-Deadly-0.09.tar.gz
> => Carp::Clan.
> Cannot continue.
> 
> I think that 'Object::Deadly' is just needed for the installation tests. I 
> doubt with a name like that you really need to install it...
> 
> Nick
> 
> 




More information about the dev mailing list